### Method

# AppStream Pool load_async

since: 0.12.10

#### Declaration [src]

    void
    as_pool_load_async (
      AsPool* pool,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously loads data from all registered locations. Equivalent to `as_pool_load()` (but asynchronous).

Available since: 0.12.10

This method completes asynchronously. Use `as_pool_load_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.